SLICE_MERCATOR_ALIGNMENT(1)

NAME
slice_mercator_alignment - Extracts the corresponding subalignment from a Mercator multiple alignment

SYNOPSIS
slice_mercator_alignment [options] <genome> <chromosome> <start> <end> <strand>

DESCRIPTION
slice_mercator_alignment from FSA 1.15.9

Extracts the corresponding subalignment from a Mercator multiple alignment.

OPTIONS

-h, --help
    show this message

-D, --data <directory>
    path to map, genome and alignment files

-M, --map <directory>
    path to map and genome files

-A, --align <directory>
    path to alignment files

-L, --lazy
    warn, rather than die, if the subalignment can't be obtained

-U, --truncate
    truncate unmappable sequence (rather than skipping) and show truncated subalignment

-s, --stockholm
    use and display Stockholm-format alignments with conservation statistics (default is multi-FASTA)

-0, --zerobased
    coordinates are 0-based (default is 1-based)

-o, --halfopen
    end coordinate is open, i.e., [start, end)

Assumes that coordinates are 1-based and fully-closed, therefore representing the interval [start, end].

If requested, unmappable sequence will be truncated to the mappable portion; note that the truncation will favor the beginning of the requested sequence.

If the requested sequence is on the - strand, then the corresponding subalignment will be reverse-complemented.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.